Subject: Gen-ART LC Review of draft-ietf-mipshop-mos-dhcp-options-13

From: Ben Campbell <[email-masked]>
Date: Mon, 27 Apr 2009 17:18:02 -0500

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-mipshop-mos-dhcp-options-13
Reviewer: Ben Campbell
Review Date: 2009-04-27
IETF LC End Date: 2009-04-27
IESG Telechat date: (if known)

Summary: This draft is ready for publication as a proposed standard. I  
do have a small number of "nit" comments which may or may not be worth  
consideration.

Major issues:

None.

Minor issues:

None.

Nits/editorial comments:

-- Section 1, paragraph 6: 

Please expand MN on first use. (I see you expand it in the following  
paragraph. It's also in the abstract, but it's worth doing it again in  
the body.)

-- Section 2, sub-opt code table

I find it a bit odd to reserve the entire remaining sub-code space  
with a normative "MUST NOT be used", when the IANA section defines a  
table for it. The fact that you define an IANA table with the  
"standards action" criteria seems sufficient. (Note that this applies  
to the other options in this draft as well.)

-- Section 2, last paragraph before the sub-option format diagram:  
"Its minimum length is 4, and the length MUST be a
multiple of 4. In case there is no MIH server available, the length
is set to 0."

I know I'm being pedantic, but technically that means the minimum  
length is 0. (Note this applies to the IPv6 version as well.)

-- idnits reports the following, which I include without prejudice.

> idnits 2.11.09
>
> tmp/draft-ietf-mipshop-mos-dhcp-options-13.txt:
>
>   Checking boilerplate required by RFC 5378 and the IETF Trust (see
>   http://trustee.ietf.org/license-info):
>    
> ----------------------------------------------------------------------------
>
>      No issues found here.
>
>   Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt 
> :
>    
> ----------------------------------------------------------------------------
>
>   == It seems as if not all pages are separated by form feeds -  
> found 0 form
>      feeds but 14 pages
>
>
>   Checking nits according to http://www.ietf.org/ID-Checklist.html:
>    
> ----------------------------------------------------------------------------
>
>      No issues found here.
>
>   Miscellaneous warnings:
>    
> ----------------------------------------------------------------------------
>
>   == The document seems to lack a disclaimer for pre-RFC5378 work,  
> but was
>      first submitted before 10 November 2008.  Should you add the  
> disclaimer?
>      (See the Legal Provisions document at
>      http://trustee.ietf.org/license-info for more information.).
>
>
>   Checking references for intended status: Proposed Standard
>    
> ----------------------------------------------------------------------------
>
>      (See RFCs 3967 and 4897 for information about using normative  
> references
>      to lower-maturity documents in RFCs)
>
>      No issues found here.
>
>      Summary: 0 errors (**), 2 warnings (==), 0 comments (--).
>

---

From: Jari Arkko <[email-masked]>
Date: Tue, 28 Apr 2009 12:46:04 +0300

Thanks for your review!

Authors, can you prepare a new version that addresses these issues?

Jari

Ben Campbell wrote:
>>   Checking nits according to 
>> http://www.ietf.org/ietf/1id-guidelines.txt:
>>   
>>   == It seems as if not all pages are separated by form feeds - found 
>> 0 form
>>      feeds but 14 pages
>>
>>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf
>
>